For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search images

get
Authorizations
x-api-keystringRequired

API key passed via request header. Either this or the api_key query parameter is required.

Query parameters
pstringOptional

A point of interest to query with an optional radius search parameter in the format longitude,latitude[,radiusMeters]. Returns images that view any portion of the specified point or radius area.

bboxstringOptional

An area of interest to query in the format minLon,minLat,maxLon,maxLat.

polygonstringOptional

Polygon coordinates to query, in WKT format. Maximum polygon bounding box area: 1 km².

headingstringOptional

Camera heading in degrees, expressed as an inclusive range [hmin, hmax], or as a single value. Range: [0, 360), where 0 is north, 90 is east, etc. By default, no filter is applied. Note that a slight margin is applied to the edges to avoid filtering images at the edges of the range.

Example: 0,360
pitchstringOptional

Camera angle below horizontal in degrees, expressed as an inclusive range [pmin, pmax], or as a single value. Range: [-135, 45], where -90 is directly downward (nadir), -60 is oblique, and -30 is more horizontal. By default, no filter is applied. Note that a slight margin is applied to the edges to avoid missing images at the edges of the range.

Example: -135,45
altitudestringOptional

Camera altitude above ground level in meters, expressed as an inclusive range [amin, amax], or as a single value. Range: [0, 10000], where 0 is ground level and 10000m is the practical maximum. By default, no filter is applied. Note that a slight margin is applied to the edges to avoid missing images at the edges of the range.

Example: 50,200
captured_atstringOptional

Image capture timestamp, expressed as an inclusive range [start, end], or as a single value. Format: Any valid JavaScript date format (e.g., "2023-01-01T00:00:00Z", "2023-01-01", "Jan 1, 2023"). By default, no filter is applied.

Example: 2023-01-01T00:00:00Z,2023-12-31T23:59:59Z
capture_typestringOptional

Filter by image capture type(s). Can be a single type or comma-separated list. Valid values: panorama, orthomosaic, oblique. Example: "panorama" or "panorama,oblique". By default, no filter is applied.

Example: panorama,oblique
limitinteger · min: 1 · max: 1000Optional

Maximum number of images to return. The default is 100.

Default: 100
cursorstringOptional

Pagination token for retrieving subsequent result sets. Obtained from previous response when additional results exist.

Pattern: ^[aV64kbEPFOzgpjAGnN710Bvw8sucxrIQyXtdRJfMqK39CZUhoiLS2DWeH5mYlT]+$
focusedone ofOptional

Apply advanced filtering to prioritize images where the point/area of interest is prominently featured.

Default: true
booleanOptional
or
stringOptional
pixel_boundsone ofOptional

Include 'aoiPixelBounds' on each feature, locating the area of interest within the original image. Adds latency, as each image is projected.

Default: false
booleanOptional
or
stringOptional
Responses
200Success
application/json
typestring · enumRequiredPossible values:
nextstring · uriOptional

URL to fetch the next page of results, if more exist.

numberReturnednumberRequired

The number of features in the response.

get/developer-api/api/v1/image
GET /developer-api/api/v1/image HTTP/1.1
Host: world.spexi.com
x-api-key: YOUR_API_KEY
Accept: */*
200Success
{
  "type": "FeatureCollection",
  "features": [
    {
      "id": "text",
      "type": "Feature",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          []
        ]
      },
      "properties": {
        "id": "text",
        "key": "text",
        "url": "https://example.com",
        "captureType": "text",
        "heading": 1,
        "pitch": 1,
        "roll": 1,
        "altitude": 1,
        "tag": "text",
        "attributes": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "capturedAt": "text",
        "processedAt": "text",
        "cameraPosition": {
          "type": "Point",
          "coordinates": null
        },
        "distance": 1,
        "aoiPixelBounds": null,
        "aoiPixelBoundsUnavailable": true
      },
      "links": [
        {
          "rel": "text",
          "href": "https://example.com",
          "type": "text",
          "title": "text"
        }
      ]
    }
  ],
  "next": "https://example.com",
  "numberReturned": 1
}

Last updated